## piklab-trinity 14.1.5

=== icons/CMakeLists.txt ===
add_subdirectory( actions )
add_subdirectory( app )

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### subfolders

add_subdirectory( common )
add_subdirectory( xml_to_data )
add_subdirectory( devices )
add_subdirectory( piklab-hex )
add_subdirectory( coff )
add_subdirectory( piklab-coff )
add_subdirectory( progs )
add_subdirectory( piklab-prog )
add_subdirectory( tools )
add_subdirectory( data )
add_subdirectory( libgui )
add_subdirectory( piklab )
add_subdirectory( piklab-test )

=== icons/actions/CMakeLists.txt ===
tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/piklab/icons )

=== src/coff/CMakeLists.txt ===

##### subfolders

add_subdirectory( base )
add_subdirectory( xml )

=== src/libgui/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

##### libgui (static)

tde_add_library( gui STATIC_PIC AUTOMOC
  SOURCES
    editor.cpp device_gui.cpp toplevel.cpp object_view.cpp
    config_gen.cpp register_view.cpp device_editor.cpp watch_view.cpp project.cpp
    project_editor.cpp project_manager.cpp hex_editor.cpp global_config.cpp config_center.cpp
    editor_manager.cpp new_dialogs.cpp text_editor.cpp log_view.cpp gui_prog_manager.cpp
    gui_debug_manager.cpp breakpoint_view.cpp likeback.cpp main_global.cpp console.cpp
    project_wizard.cpp toplevel_ui.cpp project_manager_ui.cpp
)

=== src/piklab-coff/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

##### piklab-coff (executable)

tde_add_executable( piklab-coff AUTOMOC
  SOURCES main.cpp
  LINK
    cli-static coff-static global-static devicelistnoui-static pic-static picbase-static picxml-static
    mem24-static mem24base-static mem24xml-static devicebase-static common-static
    tdecore-shared DCOP-shared tdeui-shared tdefx-shared tdeio-shared tdetexteditor-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== src/piklab/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${READLINE_INCLUDE_DIRS}
  ${LIBUSB_INCLUDE_DIRS}
)

##### piklab (executable)

tde_add_executable( piklab AUTOMOC
  SOURCES main.cpp
  LINK
    gui-static toollist-static cc5xui-static mpcui-static boostui-static
    jalv2ui-static ccscui-static c18ui-static jalui-static pic30ui-static
    piccui-static sdccui-static gputilsui-static custom-static cc5x-static
    mpc-static boost-static jalv2-static ccsc-static c18-static jal-static
    pic30-static picc-static sdcc-static gputils-static toolui-static toolbase-static
    proglistui-static picdembootloaderui-static pickit2bootloaderui-static tblbootloaderui-static
    bootloaderui-static gpsimui-static pspui-static pickit2v2ui-static pickit2ui-static
    pickit1ui-static icd1ui-static icd2ui-static directui-static progui-static
    picdembootloader-static pickit2bootloader-static tblbootloader-static
    bootloader-static gpsim-static psp-static pickit1-static pickit2v2-static pickit2-static
    icd1-static icd2-static icd2data-static directprog-static mem24prog-static picprog-static
    progmanager-static progbase-static coff-static port-static global-static
    devicelistui-static mem24ui-static picui-static deviceui-static commonui-static
    pic-static picbase-static picxml-static mem24-static mem24base-static
    mem24xml-static devicebase-static common-static ${LIBUSB_LIBRARIES}
    tdecore-shared DCOP-shared tdeui-shared tdefx-shared tdeio-shared tdetexteditor-shared
    tdeparts-shared tdehtml-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== src/common/common/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

##### libcommon (static)

tde_add_library( common STATIC_PIC AUTOMOC
  SOURCES
    bitvalue.cpp group.cpp misc.cpp number.cpp purl_base.cpp
    storage.cpp synchronous.cpp version_data.cpp
  LINK
    tdecore-shared
)

=== src/common/port/CMakeLists.txt ===

##### libport (static)

tde_add_library( port STATIC_PIC AUTOMOC
  SOURCES parallel.cpp port.cpp serial.cpp usb_port.cpp port_base.cpp
)

=== src/devices/gui/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

##### libdeviceui (static)

tde_add_library( deviceui STATIC_PIC AUTOMOC
  SOURCES hex_word_editor.cpp memory_editor.cpp register_view.cpp hex_view.cpp device_group_ui.cpp
)

=== src/piklab-test/base/CMakeLists.txt ===

##### libtest (static)

tde_add_library( test STATIC_PIC AUTOMOC
  SOURCES main_test.cpp device_test.cpp generator_check.cpp
)

=== src/progs/direct/CMakeLists.txt ===

##### subfolders

add_subdirectory( xml )
add_subdirectory( base )
add_subdirectory( gui )

## piklab-trinity 3.5.13.2

=== debian/changelog ===
piklab-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:05:29 +0200

piklab-trinity (0.15.2-2ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

piklab-trinity (0.15.2-1ubuntu4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

piklab-trinity (0.15.2-1ubuntu2) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 16 Dec 2008 12:52:00 -0600

piklab (0.15.2-2) unstable; urgency=low

  * Added patch gcc-4.3.patch to fix FTBFS with gcc 4.3.
    Thanks to tbm and KiBi. Closes: #456090
  * Suggest sdcc and sdcc-libraries instead of Recommend them.
    Closes: #452478

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 11 Mar 2008 13:32:30 +0000

piklab (0.15.2-1) unstable; urgency=low

  * New Upstream Release.
  * Bumped standards version from 3.7.2 to 3.7.3. No changes needed.
  * Added Homepage label to debian/control.
  * Added manpage for piklab-coff.
  * Added -Wl,--as-needed to LDFLAGS.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 25 Jan 2008 22:26:25 +0000

piklab (0.15.0-1) unstable; urgency=low

  * New Upstream Release.
  * Added "DM-Upload-Allowed: yes" tag to debian/control to allow Debian
    Maintaners' Uploads.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 09 Nov 2007 13:39:57 +0000

piklab (0.14.5-1) unstable; urgency=low

  * 1st package targeted to the official Debian Repositories (Closes: #387703)
  * Removed debian/ directory from the original tarball.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 01 Sep 2007 22:37:44 +0000

piklab (0.14.2-0) unstable; urgency=low
  
  * device id and eeprom fixes for some 18F devices
  * fix debugging of 18F2455 family [report by Florian Brabetz]
  * add parallel port support for FreeBSD (with ppbus)
  * add support for Pickit2 and Picdem fsusb bootloaders (untested + no data eeprom operations)
  * fix device memory reading [broken in 0.14.1, report by Xiaofan Chen]
  * fix direct programming of 16F87XA [report by Jorus Cbaoth]
  * do not open empty editor when file does not exit
  * no "add file to project" in new file dialog when there is no project
  * also include code for absent source files in disassembly listing (fix debugging with sdcc + 18F devices)
  * fix output hex filename for CCSC projects [report by krengersi and Bill Sack]
  * fix CCSC options for version 3 (only detected for linux executables)

 -- Stefan von Halenbach <vonHalenbach@users.sf.net>  Tue, 10 Apr 2007 19:22:49 +0200

piklab (0.14.1-0) unstable; urgency=low

  * fix alignment problem with icd2 (for some 18F devices)
  * fix some i18n inconsistency [thanks to Alain Portal]
  * fix crash with config/template generator [report by Alain Portal]
  * fix adding files in same directory with project wizard
  * fix output hex filename for CC5X projects [report by philter_777]
  * fix inverted "read-only" toggle for hex editor
  * fix saving in editors (freeze with hex editor and display for text files)
  * support for Tiny Bootloader

 -- Stefan von Halenbach <vonHalenbach@users.sf.net>  Sat, 07 Apr 2007 13:57:00 +0100

piklab (0.14.0-0) unstable; urgency=low

  * merge in kate gui for source editor (many more menu items available)
  * add console tool [idea by Rajesh Sankaran]
  * new project wizard
  * template source file generator
  * fix gui problems with fast comment system
  * fix crash when compiling assembler file with sdcc [report by Stefan von Halenbach]
  * fix support for linux version of CCSC [report by Alan Page and Rajesh Sankaran]
  * fix configuration dialog for PIC30 toolchain
  * add support for MPC and CCX5 compilers
  * add possibility to use custom device name for serial and parallel port
  * allow read/write/erase of individual memory range with command-line utility
  * speed-up programming and fix timeouts for pickit2 [patch from Mark Stanley]
  * add pickit2 support for 16F87X
  * fix freeze for connecting gpsim with an empty project [report by Florian Brabetz]
  * fix crash when showing PC while debugging [report by Florian Brabetz]
  * add "--force" option for command-line programmer (answer "yes" to question and overwrite files)
  * new command-line utility for manipulating hex files (check, info, fix, and compare)
  * add Hungarian translation [thanks to Nagy László]

 -- Stefan von Halenbach <vonHalenbach@users.sf.net>  Sun, 04 Mar 2007 21:57:16 +0100

piklab (0.13.3-0) unstable; urgency=low

  * Initial release of the deb-package.

 -- Stefan von Halenbach <vonHalenbach@users.sf.net>  Sun, 11 Feb 2007 17:03:34 +0100

=== debian/control ===
Source: piklab-trinity
Section: electronics
Priority: extra
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 5), autotools-dev, quilt, chrpath,
 libusb-dev, kdelibs4-trinity-dev, libreadline5-dev | libreadline6-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://piklab.sourceforge.net/

Package: piklab-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: piklab-kde3 (<< 4:3.5.13)
Breaks: piklab-kde3 (<< 4:3.5.13)
Recommends: gputils, libusb-dev
Suggests: sdcc (>= 2.5.0), sdcc-libraries
Description: IDE for PIC-microcontroller development [Trinity]
 Piklab is an integrated development environment for applications based on
 Microchip PIC and dsPIC microcontrollers similar to the MPLAB environment.
 .
 Support for several compiler and assembler toolchains is integrated. The
 GPSim simulator, the ICD1 programmer, the ICD2 debugger, the PICkit1 and
 PICkit2 programmers, the PicStart+ programmer, and most direct programmers
 are supported. A command-line programmer and debugger are also available.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config: config-stamp
config-stamp:  configure
	dh_testdir

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	#$(MAKE) -f /usr/share/quilt/quilt.make patch

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	./configure CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs -Wl,--as-needed" \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib \
		--with-extra-includes=/opt/trinity/include/kde \
		--mandir=/opt/trinity/share/man --infodir=/opt/trinity/share/info --enable-rpath
	touch $@

build: build-stamp
build-stamp:  config-stamp
	dh_testdir
	$(MAKE)
	#docbook-to-man debian/piklab.sgml > piklab.1
	touch $@

clean:
	dh_testdir
	dh_testroot

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	rm -f config-stamp build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f po/*.gmo
	rm -f src/common/global/svn_revision/svn_revision.h
	rm -f config.sub config.guess config.status config.log
	#$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/piklab-trinity install
	chrpath --delete debian/piklab-trinity/opt/trinity/bin/*
	mv debian/piklab-trinity/opt/trinity/share/man/man1/piklab.1x debian/piklab-trinity/opt/trinity/share/man/man1/piklab.1

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_desktop
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l/opt/trinity/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: config build clean binary-indep binary-arch binary install

## piklab-trinity 14.1.0

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: piklab-trinity
 Section: electronics
 Priority: extra
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 5), autotools-dev, quilt, chrpath,
- libusb-dev, kdelibs4-trinity-dev, libreadline5-dev | libreadline6-dev, automake, autoconf, libtool, libltdl-dev
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: cdbs, debhelper (>= 9~), autotools-dev, quilt, chrpath,
+ libusb-dev, tdelibs14-trinity-dev, libreadline-dev | libreadline6-dev | libreadline5-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://piklab.sourceforge.net/
 
 Package: piklab-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: piklab-kde3 (<< 4:3.5.13)
-Breaks: piklab-kde3 (<< 4:3.5.13)
+Replaces: piklab-kde3 (<< 4:14.0.0~), piklab-trinity (<< 4:14.0.0~)
+Breaks: piklab-kde3 (<< 4:14.0.0~), piklab-trinity (<< 4:14.0.0~)
 Recommends: gputils, libusb-dev
 Suggests: sdcc (>= 2.5.0), sdcc-libraries
 Description: IDE for PIC-microcontroller development [Trinity]

## piklab-trinity 14.1.1

=== debian/changelog ===
piklab-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 05:13:43 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Currently is not possible to build piklab with --enable-final
DEB_BUILD_OPTIONS += noopt

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-tde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

binary-install/piklab-trinity::
	mv debian/$(cdbs_curpkg)/opt/trinity/share/man/man1/piklab.1x debian/$(cdbs_curpkg)/opt/trinity/share/man/man1/piklab.1

## piklab-trinity 14.1.2

=== debian/changelog ===
piklab-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## piklab-trinity 14.1.3

=== debian/changelog ===
piklab-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:13:10 +0200

## piklab-trinity 14.1.4

=== debian/changelog ===
piklab-trinity (4:14.1.4-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: electronics
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), autotools-dev, quilt, chrpath,
- libusb-dev, tdelibs14-trinity-dev, libreadline-dev | libreadline6-dev | libreadline5-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+               libusb-dev, libreadline-dev | libreadline6-dev | libreadline5-dev
 Standards-Version: 3.8.4
 Homepage: http://piklab.sourceforge.net/

## piklab-trinity 14.1.5~pre3

=== debian/changelog ===
piklab-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for e4b7d21fb15fdf7c5060e8ff918f55f5a00f383e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## piklab-trinity 14.1.5

=== debian/changelog ===
piklab-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## piklab-trinity 14.1.6~pre0

=== debian/changelog ===
piklab-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e4b7d21fb15fdf7c5060e8ff918f55f5a00f383e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## piklab-trinity 14.1.6~pre1

=== debian/changelog ===
piklab-trinity (4:14.1.6~pre1-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 0b8c6ed178c9d4a262c7e3e7ac4dd4daf54460eb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 09:27:56 +0100

## piklab-trinity 14.2.0~pre67

=== debian/changelog ===
piklab-trinity (4:14.2.0~pre67-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 570ee228f5aa87fb43708bb91c6e11d5af83a4e7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## piklab-trinity 14.2.0~pre68

=== debian/changelog ===
piklab-trinity (4:14.2.0~pre68-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 56f8d00fb93d9e6c7fb93ea38163ea251e906839
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#piklab

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Feb 2026 20:08:02 +0100
